%%projecttitle%%

Ariad HTML Controls Lite Edition 2.0

Version: | 2.0.13
Component Filename: | ahtmlle2.ocx
Component GUID: | {E4D5D928-FD35-4D0A-92CD-F3CE02D68455}

Description

The HTML Controls, Lite Edition comprises of two controls for displaying simple HTML in your applications. The HTMLLabel is the core control which is similar in design to the standard Visual Basic Label control. However, by including supported HTML tags in it's Text property it will then render this, including automatic support for hyperlinks. The HTMLView control is based on the HTMLLabel and provides scrolling ability, which is not nativly provided by the HTMLLabel control.

You can bind the Text property of both controls to a data source, allowing a quick method for displaying documents in a database. You can also use the Load method to load a document from a disk file.

HTMLLabel (Control)

HTMLView (Control)

Please note that this the Lite Edition of the HTML Controls and has limited functionality in comparision. If you require extra support including images, a solid object model for working with HTML, the ability to download documents from a website, or the ability to display large documents without more heavy resource usuage, you should consider purchasing the complete edtion. See the Ariad Software website for further details.


%%localitemtitle%%

HTMLLabel control
Description

The HTMLLabel is the core control and is similar in design to the standard Visual Basic Label control. However, by including supported HTML tags in it's Text property it will then render this, including automatic support for hyperlinks.

Members

Methods
About | Displays version, copyright and contact information.
GetMouseIndex | Returns the index of the anchor currently under the mouse cursor
HitTest | Returns the index of an anchor located at the coordinates of X and Y.
Load | Loads the body content of a HTML document
OLEDrag | Causes a component to initiate an OLE drag/drop operation.
Refresh | Forces a complete repaint of a form or control.

Properties
AnchorColor | Read-write property | Returns or sets the color used to display hyperlinks
AnchorVisitedColor | Read-write property | Returns or sets the color of hyperlinks which have been clicked
AutoSize | Read-write property | Returns or sets if the HTMLLabel control is resized to fit it's contents
BackColor | Read-write property | Returns or sets the background color of an object.
BackStyle | Read-write property | Returns or sets a value indicating whether a StatusBarX control is transparent or opaque.
BorderStyle | Read-write property | Returns or sets the border style of an object.
Enabled | Read-write property | Returns or sets a value that determines whether a form or control can respond to user-generated events.
Font | Read-write property | Returns or sets the default font used to display text in a control
ForeColor | Read-write property | Returns or sets the foreground color used to display text and graphics in an object.
hDC | Read-only property | Returns a handle provided by the Microsoft Windows operating environment to the device context of an object.
hWnd | Read-only property | Returns a unique handle assigned to a control by Microsoft Windows.
Margin | Read-write property | Returns or sets the margin between display text and the borders of the control.
MouseIcon | Read-write property | Returns or sets a custom mouse icon.
MousePointer | Read-write property | Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ButtonStrip control.
OLEDropMode | Read-write property | Returns or sets how a target component handles drop operations.
Picture | Read-write property | Returns or sets a graphic to be displayed in a control.
Text | Read-write property | Returns or sets the HTML text string to be displayed
Version | Read-write property | Returns the full version of a component
WordWrap | Read-write property | Returns or sets if text is wrapped to fit the control

Events
AfterRender | Occurs after the contents of the Text property have been rendered to the control.
AnchorClick | Occurs when an anchor is clicked.
AnchorDefined | Occurs when a new anchor is defined by the contents of an a tag found in the contents of the Text property.
AnchorMouseEnter | Occurs when the mouse enters the range of an anchor.
AnchorMouseExit | Occurs when the mouse leaves the range of an anchor.
Change | Occurs when the contents of the Text property is changed, either by the developer or from some other source, such as a data source.
Click | Occurs when the user presses and then releases a mouse button over a control
DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user moves the mouse.
MouseUp | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
OLECompleteDrag | Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.
OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
OLEDragOver | Occurs when one component is dragged over another.
OLEGiveFeedback | Occurs after every OLEDragOver event. OLEGiveFeedback allows the source component to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.
OLESetData | Occurs on an source component when a target component performs the GetData method on the source’s DataObject object, but the data for the specified format has not yet been loaded.
OLEStartDrag | Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.
UnknownParameter | Occurs when an unknown parameter is found.
UnknownTag | Occurs when an unknown or unsupported tag is found.


%%localitemtitle%%

About method (HTMLLabel)

Description

Displays version, copyright and contact information.

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

GetMouseIndex method

Description

Returns the index of the anchor currently under the mouse cursor

Return Type

A Long value.

Syntax

object.GetMouseIndex

The GetMouseIndex Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

HitTest method

Description

Returns the index of an anchor located at the coordinates of X and Y.

Return Type

A Long value.

Syntax

object.HitTest (X, Y)

The HitTest Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
X | Required. A Long value.
Y | Required. A Long value.


%%localitemtitle%%

Load method (HTMLLabel)

Description

Loads the body content of a HTML document

Return Type

A Boolean value.

Syntax

object.Load (Filename)

The Load Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
Filename | Required. A String value.


%%localitemtitle%%

OLEDrag method

Description

Causes a component to initiate an OLE drag/drop operation.

Return Type

None

Syntax

object.OLEDrag

The OLEDrag Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

Refresh method

Description

Forces a complete repaint of a form or control.

Return Type

None

Syntax

object.Refresh

The Refresh Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

AnchorColor property (HTMLLabel)

Description

Returns or sets the color used to display hyperlinks

Property type

An OLE_COLOR object.

Syntax

[Set] object.AnchorColor [= OLE_COLOR]

The AnchorColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

AnchorVisitedColor property (HTMLLabel)

Description

Returns or sets the color of hyperlinks which have been clicked

Property type

An OLE_COLOR object.

Syntax

[Set] object.AnchorVisitedColor [= OLE_COLOR]

The AnchorVisitedColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

AutoSize property

Description

Returns or sets if the HTMLLabel control is resized to fit it's contents

Property type

A Boolean value.

Syntax

object.AutoSize [= value]

The AutoSize Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A Boolean value.


%%localitemtitle%%

BackColor property (HTMLLabel)

Description

Returns or sets the background color of an object.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackStyle property

Description

Returns or sets a value indicating whether a StatusBarX control is transparent or opaque.

Property type

A HCLEBackStyleConstants enumeration.

Syntax

object.BackStyle [= value]

The BackStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A HCLEBackStyleConstants enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
hclebyTransparent | 0 | Background color and any graphics are visible behind the object. When set to this style, the BackColor property will be ignored.
hclebyOpaque | 1 | (Default) Opaque — the object BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

BorderStyle property

Description

Returns or sets the border style of an object.

Property type

A HCLEBorderStyleConstants enumeration.

Syntax

object.BorderStyle [= value]

The BorderStyle Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A HCLEBorderStyleConstants enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
hclebsNone | 0 | No border displayed.
hclebsInsetHeavy | 1 | (Default) A thick 3D inset border.
hclebsInsetLight | 2 | A thin 3D inset border.
hclebsRaisedHeavy | 3 | A thick 3D raised border.
hclebsRaisedLight | 4 | A thin 3D raised border.
hclebsSingle | 5 | A flat single border.
hclebsSingleDotted | 6 | A flat single dotted line border.
hclebsEtched | 7 | An etched border similar to a standard frame.
hclebsEtchedTop | 8 | An etched border only along the top edge.
hclebsEtchedBottom | 9 | An etched border only along the bottom edge.
hclebsEtchedLeft | 10 | An etched border only along the left edge.
hclebsEtchedRight | 11 | An etched border only along the right edge.
hclebsRounded | 12 | An single rectangle border with rounded corners.
hclebsFlatEx | 13 | An flat single pixel border with an additional 3D offset.


%%localitemtitle%%

Enabled property

Description

Returns or sets a value that determines whether a form or control can respond to user-generated events.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A Boolean value.


%%localitemtitle%%

Font property (HTMLLabel)

Description

Returns or sets the default font used to display text in a control

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
StdFont | A StdFont object.


%%localitemtitle%%

ForeColor property (HTMLLabel)

Description

Returns or sets the foreground color used to display text and graphics in an object.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ForeColor [= OLE_COLOR]

The ForeColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

hDC property

Description

Returns a handle provided by the Microsoft Windows operating environment to the device context of an object.

Property type

A Long value.

Syntax

object.hDC

The hDC Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

hWnd property

Description

Returns a unique handle assigned to a control by Microsoft Windows.

Property type

A Long value.

Syntax

object.hWnd

The hWnd Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.


%%localitemtitle%%

Margin property (HTMLLabel)

Description

Returns or sets the margin between display text and the borders of the control.

Property type

A Long value.

Syntax

object.Margin [= value]

The Margin Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A Long value.


%%localitemtitle%%

MouseIcon property

Description

Returns or sets a custom mouse icon.

Property type

A StdPicture object.

Syntax

[Set] object.MouseIcon [= StdPicture]

The MouseIcon Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
StdPicture | A StdPicture object.


%%localitemtitle%%

MousePointer property

Description

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a ButtonStrip control.

Property type

A MousePointerConstants object.

Syntax

[Set] object.MousePointer [= MousePointerConstants]

The MousePointer Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
MousePointerConstants | A MousePointerConstants object.


%%localitemtitle%%

OLEDropMode property

Description

Returns or sets how a target component handles drop operations.

Property type

A HCLEOLEDropConstants enumeration.

Syntax

object.OLEDropMode [= value]

The OLEDropMode Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A HCLEOLEDropConstants enumeration, as described in settings.

Settings

The settings for value are:

Constant | Value | Description
hcleodNone | 0 | (Default) The target component does not accept OLE drops and displays the No Drop cursor.
hcleodManual | 1 | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.


%%localitemtitle%%

Picture property

Description

Returns or sets a graphic to be displayed in a control.

Property type

A StdPicture object.

Syntax

[Set] object.Picture [= StdPicture]

The Picture Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
StdPicture | A StdPicture object.


%%localitemtitle%%

Text property (HTMLLabel)

Description

Returns or sets the HTML text string to be displayed

Property type

A String value.

Syntax

object.Text [= value]

The Text Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A String value.


%%localitemtitle%%

Version property (HTMLLabel)

Description

Returns the full version of a component

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A String value.

Remarks

The version code is returned as a 3 grouped digit string, using the MajorBuild.MinorBuild.Revsion format.


%%localitemtitle%%

WordWrap property

Description

Returns or sets if text is wrapped to fit the control

Property type

A Boolean value.

Syntax

object.WordWrap [= value]

The WordWrap Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLLabel.
value | A Boolean value.


%%localitemtitle%%

AfterRender event (HTMLLabel)

Description

Occurs after the contents of the Text property have been rendered to the control.

Syntax

Private Sub object_AfterRender([index])

The AfterRender Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

AnchorClick event (HTMLLabel)

Description

Occurs when an anchor is clicked.

Syntax

Private Sub object_AnchorClick([index], Id, hRef)

The AnchorClick Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

AnchorDefined event (HTMLLabel)

Description

Occurs when a new anchor is defined by the contents of an a tag found in the contents of the Text property.

Syntax

Private Sub object_AnchorDefined([index], Id, hRef, Left, Top, Width, Height)

The AnchorDefined Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.
Left | A Long value.
Top | A Long value.
Width | A Long value.
Height | A Long value.


%%localitemtitle%%

AnchorMouseEnter event (HTMLLabel)

Description

Occurs when the mouse enters the range of an anchor.

Syntax

Private Sub object_AnchorMouseEnter([index], Id, hRef)

The AnchorMouseEnter Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

AnchorMouseExit event (HTMLLabel)

Description

Occurs when the mouse leaves the range of an anchor.

Syntax

Private Sub object_AnchorMouseExit([index], Id, hRef)

The AnchorMouseExit Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

Change event (HTMLLabel)

Description

Occurs when the contents of the Text property is changed, either by the developer or from some other source, such as a data source.

Syntax

Private Sub object_Change([index], Text)

The Change Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Text | A String value.


%%localitemtitle%%

Click event (HTMLLabel)

Description

Occurs when the user presses and then releases a mouse button over a control

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (HTMLLabel)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (HTMLLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (HTMLLabel)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (HTMLLabel)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

OLECompleteDrag event

Description

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Private Sub object_OLECompleteDrag([index], Effect)

The OLECompleteDrag Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Effect | A Long value.


%%localitemtitle%%

OLEDragDrop event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Private Sub object_OLEDragDrop([index], Data, Effect, Button, Shift, X, Y)

The OLEDragDrop Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Data | A DataObject object.
Effect | A Long value.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

OLEDragOver event

Description

Occurs when one component is dragged over another.

Syntax

Private Sub object_OLEDragOver([index], Data, Effect, Button, Shift, X, Y, State)

The OLEDragOver Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Data | A DataObject object.
Effect | A Long value.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.
State | An Integer value.


%%localitemtitle%%

OLEGiveFeedback event

Description

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source component to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Private Sub object_OLEGiveFeedback([index], Effect, DefaultCursors)

The OLEGiveFeedback Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Effect | A Long value.
DefaultCursors | A Boolean value.


%%localitemtitle%%

OLESetData event

Description

Occurs on an source component when a target component performs the GetData method on the source’s DataObject object, but the data for the specified format has not yet been loaded.

Syntax

Private Sub object_OLESetData([index], Data, DataFormat)

The OLESetData Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Data | A DataObject object.
DataFormat | An Integer value.


%%localitemtitle%%

OLEStartDrag event

Description

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.

Syntax

Private Sub object_OLEStartDrag([index], Data, AllowedEffects)

The OLEStartDrag Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Data | A DataObject object.
AllowedEffects | A Long value.


%%localitemtitle%%

UnknownParameter event (HTMLLabel)

Description

Occurs when an unknown parameter is found.

Syntax

Private Sub object_UnknownParameter([index], Tag, Parameter, Value)

The UnknownParameter Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Tag | A String value.
Parameter | A String value.
Value | A String value.


%%localitemtitle%%

UnknownTag event (HTMLLabel)

Description

Occurs when an unknown or unsupported tag is found.

Syntax

Private Sub object_UnknownTag([index], Tag, Parameters)

The UnknownTag Event syntax has these parts:

Part | Description
object | A HTMLLabel object.
Index | An integer that uniquely identifies a control if it's in a control array.
Tag | A String value.
Parameters | A String value.


%%localitemtitle%%

HTMLView control
Description

The HTMLView control is based on the HTMLLabel and provides scrolling ability, which is not natively provided by the HTMLLabel control.

Remarks

If you are using this control to display large HTML documents, you should consider upgrading to the complete edition of the HTML Controls as this provides better support for the HTMLView control, including less resource usage and optimised rendering times.

Members

Methods
About | Displays version, copyright and contact information.
Load | Loads the body content of a HTML document

Properties
AnchorColor | Read-write property | Returns or sets the color used to display hyperlinks
AnchorVisitedColor | Read-write property | Returns or sets the color of hyperlinks which have been clicked
BackColor | Read-write property | Returns or sets the background color of an object.
Font | Read-write property | Returns or sets a Font object.
ForeColor | Read-write property | Returns or sets the foreground color of an object.
Margin | Read-write property | Returns or sets the margin between display text and the borders of the control.
Text | Read-write property | Returns or sets the text contained in the edit area.
Version | Read-write property | Returns the full version of a component

Events
AfterRender | Occurs after the contents of the Text property have been rendered to the control.
AnchorClick | Occurs when an anchor is clicked.
AnchorDefined | Occurs when a new anchor is defined by the contents of an a tag found in the contents of the Text property.
AnchorMouseEnter | Occurs when the mouse enters the range of an anchor.
AnchorMouseExit | Occurs when the mouse leaves the range of an anchor.
Change | Occurs when the contents of the Text property is changed, either by the developer or from some other source, such as a data source.
Click | Occurs when the user presses and then releases a mouse button over a control
DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over a control
MouseDown | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
MouseMove | Occurs when the user moves the mouse.
MouseUp | Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button
UnknownParameter | Occurs when an unknown parameter is found.
UnknownTag | Occurs when an unknown or unsupported tag is found.


%%localitemtitle%%

About method (HTMLView)

Description

Displays version, copyright and contact information.

Return Type

None

Syntax

object.About

The About Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.


%%localitemtitle%%

Load method (HTMLView)

Description

Loads the body content of a HTML document

Return Type

A Boolean value.

Syntax

object.Load (Filename)

The Load Method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
Filename | Required. A String value.


%%localitemtitle%%

AnchorColor property (HTMLView)

Description

Returns or sets the color used to display hyperlinks

Property type

An OLE_COLOR object.

Syntax

[Set] object.AnchorColor [= OLE_COLOR]

The AnchorColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

AnchorVisitedColor property (HTMLView)

Description

Returns or sets the color of hyperlinks which have been clicked

Property type

An OLE_COLOR object.

Syntax

[Set] object.AnchorVisitedColor [= OLE_COLOR]

The AnchorVisitedColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

BackColor property (HTMLView)

Description

Returns or sets the background color of an object.

Property type

An OLE_COLOR object.

Syntax

[Set] object.BackColor [= OLE_COLOR]

The BackColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Font property (HTMLView)

Description

Returns or sets a Font object.

Property type

A StdFont object.

Syntax

[Set] object.Font [= StdFont]

The Font Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
StdFont | A StdFont object.


%%localitemtitle%%

ForeColor property (HTMLView)

Description

Returns or sets the foreground color of an object.

Property type

An OLE_COLOR object.

Syntax

[Set] object.ForeColor [= OLE_COLOR]

The ForeColor Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
OLE_COLOR | An OLE_COLOR object.


%%localitemtitle%%

Margin property (HTMLView)

Description

Returns or sets the margin between display text and the borders of the control.

Property type

An Integer value.

Syntax

object.Margin [= value]

The Margin Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
value | An Integer value.


%%localitemtitle%%

Text property (HTMLView)

Description

Returns or sets the text contained in the edit area.

Property type

A String value.

Syntax

object.Text [= value]

The Text Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
value | A String value.


%%localitemtitle%%

Version property (HTMLView)

Description

Returns the full version of a component

Property type

A String value.

Syntax

object.Version [= value]

The Version Property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type HTMLView.
value | A String value.

Remarks

The version code is returned as a 3 grouped digit string, using the MajorBuild.MinorBuild.Revsion format.


%%localitemtitle%%

AfterRender event (HTMLView)

Description

Occurs after the contents of the Text property have been rendered to the control.

Syntax

Private Sub object_AfterRender([index])

The AfterRender Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

AnchorClick event (HTMLView)

Description

Occurs when an anchor is clicked.

Syntax

Private Sub object_AnchorClick([index], Id, hRef)

The AnchorClick Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

AnchorDefined event (HTMLView)

Description

Occurs when a new anchor is defined by the contents of an a tag found in the contents of the Text property.

Syntax

Private Sub object_AnchorDefined([index], Id, hRef, Left, Top, Width, Height)

The AnchorDefined Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.
Left | A Long value.
Top | A Long value.
Width | A Long value.
Height | A Long value.


%%localitemtitle%%

AnchorMouseEnter event (HTMLView)

Description

Occurs when the mouse enters the range of an anchor.

Syntax

Private Sub object_AnchorMouseEnter([index], Id, hRef)

The AnchorMouseEnter Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

AnchorMouseExit event (HTMLView)

Description

Occurs when the mouse leaves the range of an anchor.

Syntax

Private Sub object_AnchorMouseExit([index], Id, hRef)

The AnchorMouseExit Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Id | A Long value.
hRef | A String value.


%%localitemtitle%%

Change event (HTMLView)

Description

Occurs when the contents of the Text property is changed, either by the developer or from some other source, such as a data source.

Syntax

Private Sub object_Change([index], Text)

The Change Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Text | A String value.


%%localitemtitle%%

Click event (HTMLView)

Description

Occurs when the user presses and then releases a mouse button over a control

Syntax

Private Sub object_Click([index])

The Click Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

DblClick event (HTMLView)

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over a control

Syntax

Private Sub object_DblClick([index])

The DblClick Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.


%%localitemtitle%%

MouseDown event (HTMLView)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseDown([index], Button, Shift, X, Y)

The MouseDown Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseMove event (HTMLView)

Description

Occurs when the user moves the mouse.

Syntax

Private Sub object_MouseMove([index], Button, Shift, X, Y)

The MouseMove Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

MouseUp event (HTMLView)

Description

Occurs when the user presses (MouseDown) or releases (MouseUp) a mouse button

Syntax

Private Sub object_MouseUp([index], Button, Shift, X, Y)

The MouseUp Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
X | A Single value.
Y | A Single value.


%%localitemtitle%%

UnknownParameter event (HTMLView)

Description

Occurs when an unknown parameter is found.

Syntax

Private Sub object_UnknownParameter([index], Tag, Parameter, Value)

The UnknownParameter Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Tag | A String value.
Parameter | A String value.
Value | A String value.


%%localitemtitle%%

UnknownTag event (HTMLView)

Description

Occurs when an unknown or unsupported tag is found.

Syntax

Private Sub object_UnknownTag([index], Tag, Parameters)

The UnknownTag Event syntax has these parts:

Part | Description
object | A HTMLView object.
Index | An integer that uniquely identifies a control if it's in a control array.
Tag | A String value.
Parameters | A String value.


%%localitemtitle%%

HCLEBackStyleConstants enumeration

Description

Determines how the background of an object will be displayed.

Members

Constant | Value | Description
hclebyTransparent | 0 | Background color and any graphics are visible behind the object. When set to this style, the BackColor property will be ignored.
hclebyOpaque | 1 | (Default) Opaque — the object BackColor property setting fills the control and obscures any color or graphics behind it.


%%localitemtitle%%

HCLEBorderStyleConstants enumeration

Description

Determines how the border style of a StatusBarX control should be displayed.

Members

Constant | Value | Description
hclebsNone | 0 | No border displayed.
hclebsInsetHeavy | 1 | (Default) A thick 3D inset border.
hclebsInsetLight | 2 | A thin 3D inset border.
hclebsRaisedHeavy | 3 | A thick 3D raised border.
hclebsRaisedLight | 4 | A thin 3D raised border.
hclebsSingle | 5 | A flat single border.
hclebsSingleDotted | 6 | A flat single dotted line border.
hclebsEtched | 7 | An etched border similar to a standard frame.
hclebsEtchedTop | 8 | An etched border only along the top edge.
hclebsEtchedBottom | 9 | An etched border only along the bottom edge.
hclebsEtchedLeft | 10 | An etched border only along the left edge.
hclebsEtchedRight | 11 | An etched border only along the right edge.
hclebsRounded | 12 | An single rectangle border with rounded corners.
hclebsFlatEx | 13 | An flat single pixel border with an additional 3D offset.


%%localitemtitle%%

HCLEOLEDropConstants enumeration

Description

Defines how a target component handles drop operations.

Members

Constant | Value | Description
hcleodNone | 0 | (Default) The target component does not accept OLE drops and displays the No Drop cursor.
hcleodManual | 1 | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.


Licence Agreement

IMPORTANT! Do not install this software before you have read this license agreement. By proceeding to install this software you are indicating your acceptance of all the terms and conditions stated in this agreement.

This is a legal agreement between you (either as an individual or a single entity) and Ariad Software for this software product which includes computer software and may include associated media, printed materials, and "online" or electronic documentation (the "SOFTWARE"). By installing, copying or otherwise using this SOFTWARE you are agreeing to be bound by the terms of this agreement. If you do not agree to the terms of this Agreement, do not install or use the SOFTWARE and if it is a non-evaluation version, return it together with physical materials and media to the place you obtained them for a full refund.

1 GRANT OF LICENSE. This agreement grants you the following rights.

(i) EVALUATION LICENSE

You may install and use an unlimited number of copies of the SOFTWARE on an unlimited number of machines.

(ii) SINGLE USER LICENSE

You may install and use one copy of the SOFTWARE on a single computer. The primary user of the computer on which the SOFTWARE is installed may make a second copy for his or her exclusive use on a portable computer.

(iii) MULTI USER LICENSE

You may use as many copies of the SOFTWARE as your multi user license entitles you to, in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2. COPYRIGHT. The SOFTWARE is owned by Ariad Software and is protected by copyright laws and international treaty provisions, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold. You must therefore treat the SOFTWARE like any other copyrighted material.

3. TERM OF LICENSE. The license will continue until you physically destroy all copies of the SOFTWARE and merged portions thereof, and return any original program media and documentation to Ariad Software.

4. OTHER RESTRICTIONS.

(i) TRANSFER

You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. If the SOFTWARE is an update, any transfer must include the update and all prior versions.

(ii) REVERSE ENGINEERING

You may not reverse engineer, decompile, or disassemble the SOFTWARE.

(iii) TERMINATION

Without prejudice to any other rights, Ariad may terminate this agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of the SOFTWARE and all of its component parts.

(iv) DISTRIBUTION

You may use this Product in your business application for sale or distribution as long as:

The product that you produce and/or distribute is NOT an ActiveX Control with functionality substantially similar or equivalent to the SOFTWARE.

You may not remove any proprietary notices, labels, trademarks from the SOFTWARE or associated documentation.

You may not modify, de-compile, disassemble, reverse engineer or translate the software.

The only file that may be distributed with your application is ahtmlle2.ocx

5. ENHANCEMENTS AND UPDATES. From time to time, at its sole discretion, Ariad Software may provide enhancements, updates, or new versions of the SOFTWARE on its then standard terms and conditions thereof. This Agreement shall apply to such enhancements.

LIMITED WARRANTY

You assume all responsibility for the selection of the SOFTWARE as appropriate to achieve the results you intend and for the installation of, use of, and results obtained from the SOFTWARE. Ariad warrants that the media on which you obtained SOFTWARE shall be free of manufacturing defects for a period of (60) sixty days from date of purchase. Except for the limited warranty set forth herein, the SOFTWARE is provided "as is." to the maximum extent permitted by applicable law, Ariad disclaims all warranties, either express or implied, including but not limited to implied warranties of merchantability, fitness for a particular purpose, and non infringement with respect to the software and the accompanying documentation. without limiting the foregoing provisions, Ariad makes no warranty that the software will be error-free or free from interruptions or other failures or that the software will meet your requirements. Some states and jurisdictions do not allow limitations on implied warranties, so the above limitation may not apply to you. The foregoing provisions shall be enforceable to the maximum extent permitted by applicable law.

CUSTOMER REMEDIES. Ariad Software and its suppliers' entire liability and your exclusive remedy shall be, at Ariad Software's option, either (a) return of the price paid or (b) repair or replacement of the SOFTWARE that does not meet Ariad Software's Limited Warranty and which is returned to Ariad Software with a copy of your receipt or proof of purchase. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Ariad or anyone else who has been involved in the creation, development, production, distribution or supply of this software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of use of or inability to use this Ariad Software product, even if Ariad Software or its dealer have been advised of the possibility of such damages. Some countries do not allow the exclusion or limitation of certain implied warranties or the limitation of the foregoing warranty or the exclusion or limitation of incidental or consequential damages, in which case and to the extent such exclusion or limitation is not allowed some of the foregoing limitations and exclusions may not apply to you.

HIGH RISK ACTIVITIES. The SOFTWARE is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, "High Risk Activities"). Ariad expressly disclaims any express or implied warranty of fitness for High Risk Activities.

GENERAL PROVISION. You shall have no right to sub-license any of the rights of this agreement, for any reason. In the event of the breach by you of this Agreement, you shall be liable for all damages to Ariad Software, and this Agreement shall be terminated. If any provision of this Agreement shall be deemed to be invalid, illegal, or unenforceable, the validity, legality, and enforceability of the remaining portions of this Agreement shall not be affected or impaired thereby. In the event of a legal proceeding arising out of this Agreement, the prevailing party shall be awarded all legal costs incurred.

This Agreement constitutes the entire agreement between the parties for the supply of the SOFTWARE and its associated documentation and supersedes all prior arrangements, agreements, representations, and undertakings. This Agreement may not be changed or modified except by a written instrument duly executed by each of the parties hereto.

MISCELLANEOUS. This Agreement shall be governed by and construed in accordance with the laws of the United Kingdom, without reference to conflict of laws principles. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect.

You shall be responsible for the payment of all taxes, duties, or levies that may now or hereafter be imposed by any authority upon this Agreement for the supply, use, or maintenance of the SOFTWARE, and if any of the foregoing taxes, duties, or levies are paid at any time by Ariad Software, you shall reimburse Ariad Software in full upon demand.

ACKNOWLEDGEMENTS. You acknowledge that you have read this Agreement, understand it, and agree to be bound by its terms and conditions.


%%localitemtitle%%

frmAbout form

Members

Methods
About Displays version, copyright and contact information.

Events
BeforeShow
RequestAppObject


%%localitemtitle%%

ISubclass object

Members

Methods
WindowProc

Properties
MsgResponse %%icondescription%%


%%localitemtitle%%

modSubClass standard module

Members

Methods
AttachMessage
CallOldWindowProc
DetachMessage
IsWindowLocal

Properties
CurrentMessage Read-only property


%%localitemtitle%%

pcmToolTip object

Members

Methods
AddToolTip | Adds a new tooltip to the class
AddToolTipItem | Adds a tooltip based on a position defined by a RECT structure
AdjustItem | Adjusts the position of a tooltip rect item
Clear | Clears all tips
DeleteToolTip | Deletes a tooltip from the class

Properties
BackColor | Read-write property | Returns or sets the background color of an object.
Delay | Read-write property | Returns or sets the length of time it takes before the tooltip is displayed
Display | Read-write property | Returns or sets the length of time the tooltip is visible for
ForeColor | Read-write property | Returns or sets the foreground color used to display text and graphics in an object.
Style | Read-write property | Returns or sets the style of the tooltip window
TipWidth | Read-write property | Returns or sets the maximum width of tooltip windows